View Issue Details

IDProjectCategoryView StatusLast Update
0006788VALENTINA STUDIOTool - Schema Editor - Diagramspublic2018-11-24 10:56
ReporterDavis FordAssigned ToIgor Nikitin 
PrioritynormalSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
PlatformALLOSALLOS VersionALL
Product Version5.5.3 
Target Version8.7.xFixed in Version8.7.x 
Summary0006788: Please allow hide/show feature on FK relations
DescriptionA lot of times, I want to make a diagram to show a particular part of the database, and I'd like to highlight only that area. Especially for large databases, they can get busy with a lot of foreign key relations -- sometimes many of those relations are not interesting in the context of the diagram, but I have no way to hide them in the diagram.

My only option is to "Mark for Delete" -- which turns them red (see pic). This is not ideal, as red from a UI perspective indicates a problem/error.

Please allow a way (ideally via right-click on the association link -- even better with a keyboard shortcut) to hide the links that the designer does not want to show in the diagram.

Bonus points if you can allow one to multi-select more than one association and apply a hide/show operation to all of them at once!
TagsNo tags attached.
Working with DB:postgreSQL Server
Version of your DB9.1

Activities

Davis Ford

Davis Ford

2014-03-02 03:34

reporter  

2014-03-01 22_21_56-Valentina Studio.png (15,730 bytes)

Issue History

Date Modified Username Field Change
2014-03-02 03:34 Davis Ford New Issue
2014-03-02 03:34 Davis Ford File Added: 2014-03-01 22_21_56-Valentina Studio.png
2015-10-14 20:43 yuriy_velichko Target Version => 6.2
2015-12-13 20:06 Ruslan Zasukhin Target Version 6.2.x => 6.3
2018-11-22 10:36 Igor Nikitin Assigned To => Igor Nikitin
2018-11-22 10:36 Igor Nikitin Status new => assigned
2018-11-24 10:52 Igor Nikitin Status assigned => resolved
2018-11-24 10:52 Igor Nikitin Fixed in Version => 8.7.x
2018-11-24 10:52 Igor Nikitin Resolution open => fixed
2018-11-24 10:56 Ruslan Zasukhin Target Version 6.3 => 8.7.x